[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: collectd & usrmove (iptables)



On Mon, 27 Feb 2012 15:59:50 +0100
Alan Pevec <apevec gmail com> wrote:

> On Mon, Feb 27, 2012 at 2:54 PM, Andrew Elwell
> <andrew elwell gmail com> wrote:
> > 2) [mutterings about maintainer non-responsiveness for collectd
> > removed as I've just seen him update BZ #797773 ]
> 
> Feel free to apply as a co-maintainer :)
> 
> > 3) Given that this is a major version bump (even if there's a
> > backwards compat step possible) - how likely can I get it into EPEL6
> > which is my target for work (I can use our internal repo if
> > necessary)
> 
> Ideally, "yum update" should just work for existing collectd 4.10
> users, but looking at
> http://collectd.org/wiki/index.php/V4_to_v5_migration_guide that might
> be a challenge.

Yeah, there's a lot of things there that might not go so well in a 4.x
to 5.x update. ;( 

> Kevin, you last touched el6 branch, do you have collectd 4.10 in
> production and if so, could you confirm if automatic migration in
> %post is doable?
> Or would you prefer to keep 4.10 in el6 ?

I'd love to have 5 in el6, but I'm not sure how practical it is. If
someone would like to try and migration setup in %post for the changes,
I'd be happy to test, but I'm not sure it's going to be very easy. 
The rrd changes don't seem like something we want to do to people's
data without their consent. 

What we might want to do is package up a parallel installable
'collectd5' for epel6. This would allow people to migrate to it as
desired. I'm not sure how difficult it will be to parallel install it
however. 

kevin

Attachment: signature.asc
Description: PGP signature


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]